import Home from "@/layouts/index.vue";

export default [
  // // ----------------------------------- 查研观向报告预览
  // {
  //   path: "/summaryPre",
  //   component: () => import("@/views/rai_manage/components/report_preview/summaryPre.vue"),
  //   name: "预览研选报告",
  //   hidden: true,
  // },
  // {
  //   path: "/choicenessPre",
  //   component: () => import("@/views/rai_manage/components/report_preview/choicenessPre.vue"),
  //   name: "预览报告精选",
  //   hidden: true,
  // },
  // {
  //   path: "/roadshowPre",
  //   component: () => import("@/views/rai_manage/components/report_preview/roadshowPre.vue"),
  //   name: "预览路演精华",
  //   hidden: true,
  // },
  // {
  //   path: "/thisWeekSummary",
  //   component: () => import("@/views/rai_manage/components/report_preview/thisWeekSummary.vue"),
  //   name: "预览本周汇总",
  //   hidden: true,
  // },
  // {
  //   path: "/lastWeekSummary",
  //   component: () => import("@/views/rai_manage/components/report_preview/lastWeekSummary.vue"),
  //   name: "预览上周汇总",
  //   hidden: true,
  // },
  // //  ------------------------------------------------
  /* 查研观向报告 */
  {
    path: "/",
    component: Home,
    name: "CYGXREPORT",
    mate: {
      title: "查研观向报告",
    },
    hidden: false,
    // icon_path: require("@/assets/img/home/rai_report.png"),
    children: [
      // {
      //   path: "RaiDetail",
      //   component: () => import("@/views/custom_manage/customList/customDetail.vue"),
      //   name: "RaiDetail",
      //   hidden: true,
      //   mate: {
      //     title: "客户详情",
      //     keepAlive: false,
      //   },
      // },
      {
        path: "appletsReport",
        component: () => import("@/views/rai_manage/reportManage/appletsReport.vue"),
        name: "appletsReport",
        hidden: false,
        mate: {
          title: "弘则报告管理",
          keepAlive: false,
        },
      },
      {
        path: "appIndustry",
        component: () => import("@/views/rai_manage/reportManage/components/appIndustry.vue"),
        name: "appIndustry",
        hidden: true,
        meta: {
          pathFrom: "appletsReport",
          pathName: "弘则报告管理",
          keepAlive: false,
          title: "产业管理",
        },
      },
      {
        path: "addSummaryHz",
        component: () => import("@/views/rai_manage/components/addSummary.vue"),
        name: "addSummaryHz",
        hidden: true,
        meta: {
          pathFrom: "appletsReport",
          pathName: "弘则报告管理",
          keepAlive: false,
          title: "添加报告",
        },
      },
      {
        path: "editSummaryHz",
        component: () => import("@/views/rai_manage/components/addSummary.vue"),
        name: "editSummaryHz",
        hidden: true,
        meta: {
          pathFrom: "appletsReport",
          pathName: "弘则报告管理",
          keepAlive: false,
          title: "编辑报告",
        },
      },
      {
        path: "summaryManage",
        component: () => import("@/views/rai_manage/reportManage/summaryManage.vue"),
        name: "summaryManage",
        hidden: false,
        meta: {
          title: "研选报告管理",
          keepAlive: false,
        },
      },
      {
        path: "addSummary",
        component: () => import("@/views/rai_manage/components/addSummary.vue"),
        name: "addSummary",
        hidden: true,
        meta: {
          pathFrom: "summaryManage",
          pathName: "研选报告管理",
          keepAlive: false,
          title: "添加报告",
        },
      },
      {
        path: "editSummary",
        component: () => import("@/views/rai_manage/components/addSummary.vue"),
        name: "editSummary",
        hidden: true,
        meta: {
          pathFrom: "summaryManage",
          pathName: "研选报告管理",
          keepAlive: false,
          title: "编辑报告",
        },
      },

      {
        path: "reportChoiceness",
        component: () => import("@/views/rai_manage/reportManage/reportChoiceness.vue"),
        name: "reportChoiceness",
        hidden: false,
        mate: {
          title: "报告精选",
          keepAlive: false,
        },
      },
      {
        path: "addChoiceness",
        component: () => import("@/views/rai_manage/components/addChoiceness.vue"),
        name: "addChoiceness",
        hidden: true,
        meta: {
          pathFrom: "reportChoiceness",
          pathName: "报告精选",
          keepAlive: false,
          title: "添加",
        },
      },
      {
        path: "editChoiceness",
        component: () => import("@/views/rai_manage/components/addChoiceness.vue"),
        name: "editChoiceness",
        hidden: true,
        meta: {
          pathFrom: "reportChoiceness",
          pathName: "报告精选",
          keepAlive: false,
          title: "编辑",
        },
      },
      {
        path: "studyThisWeek",
        component: () => import("@/views/rai_manage/reportManage/thisWeek.vue"),
        name: "studyThisWeek",
        hidden: false,
        meta: {
          title: "本周研究汇总",
          keepAlive: false,
        },
      },
      {
        path: "addThisWeek",
        component: () => import("@/views/rai_manage/components/addThisWeek.vue"),
        name: "addThisWeek",
        hidden: true,
        meta: {
          pathFrom: "studyThisWeek",
          pathName: "本周研究汇总",
          keepAlive: false,
          title: "添加",
        },
      },
      {
        path: "editThisWeek",
        component: () => import("@/views/rai_manage/components/addThisWeek.vue"),
        name: "editThisWeek",
        hidden: true,
        meta: {
          pathFrom: "studyThisWeek",
          pathName: "本周研究汇总",
          keepAlive: false,
          title: "编辑",
        },
      },

      {
        path: "theLastWeek",
        component: () => import("@/views/rai_manage/reportManage/theLastWeek.vue"),
        name: "theLastWeek",
        hidden: false,
        meta: {
          title: "上周纪要汇总",
          keepAlive: false,
        },
      },
      {
        path: "addSummarizing",
        component: () => import("@/views/rai_manage/components/addSummarizing.vue"),
        name: "addSummarizing",
        hidden: true,
        meta: {
          pathFrom: "theLastWeek",
          pathName: "上周纪要汇总",
          keepAlive: false,
          title: "添加",
        },
      },
      {
        path: "editSummarizing",
        component: () => import("@/views/rai_manage/components/addSummarizing.vue"),
        name: "editSummarizing",
        hidden: true,
        meta: {
          pathFrom: "theLastWeek",
          pathName: "上周纪要汇总",
          keepAlive: false,
          title: "编辑",
        },
      },
      {
        path: "roadshowEssence",
        component: () => import("@/views/rai_manage/reportManage/roadshowEssence.vue"),
        name: "roadshowEssence",
        hidden: false,
        meta: {
          title: "路演精华",
          keepAlive: false,
        },
      },
      {
        path: "addRoadshow",
        component: () => import("@/views/rai_manage/components/addRoadshow.vue"),
        name: "addRoadshow",
        hidden: true,
        meta: {
          pathFrom: "roadshowEssence",
          pathName: "路演精华",
          keepAlive: false,
          title: "添加",
        },
      },
      {
        path: "editRoadshow",
        component: () => import("@/views/rai_manage/components/addRoadshow.vue"),
        name: "editRoadshow",
        hidden: true,
        meta: {
          pathFrom: "roadshowEssence",
          pathName: "路演精华",
          keepAlive: false,
          title: "编辑",
        },
      },
      {
        path: "morningMeetingManage",
        component: () => import("@/views/rai_manage/reportManage/morningMeetingManage.vue"),
        name: "morningMeetingManage",
        hidden: false,
        meta: {
          title: "晨会精华",
          keepAlive: false,
        },
      },
      {
        path: "addMorningMeeting",
        component: () => import("@/views/rai_manage/components/addMorningMeeting.vue"),
        name: "addMorningMeeting",
        hidden: true,
        meta: {
          pathFrom: "morningMeetingManage",
          pathName: "晨会精华",
          keepAlive: false,
          title: "添加晨会精华",
        },
      },
      {
        path: "editMorningMeeting",
        component: () => import("@/views/rai_manage/components/addMorningMeeting.vue"),
        name: "editMorningMeeting",
        hidden: true,
        meta: {
          pathFrom: "morningMeetingManage",
          pathName: "晨会精华",
          keepAlive: false,
          title: "编辑晨会精华",
        },
      },
      {
        path: "tacticsTimeLine",
        component: () => import("@/views/rai_manage/reportManage/tacticsTimeLine.vue"),
        name: "tacticsTimeLine",
        hidden: false,
        meta: {
          title: "策略时间线",
          keepAlive: false,
        },
      },
      {
        path: "internalTesting",
        component: () => import("@/views/rai_manage/reportManage/internalTesting.vue"),
        name: "internalTesting",
        hidden: false,
        meta: {
          keepAlive: false,
          title: "产品内测",
        },
      },
      {
        path: "addHaveReport",
        component: () => import("@/views/rai_manage/reportManage/components/addHaveReport.vue"),
        name: "addHaveReport",
        hidden: true,
        meta: {
          pathFrom: "internalTesting",
          pathName: "产品内测",
          keepAlive: false,
          title: "添加报告",
        },
      },
      {
        path: "editHaveReport",
        component: () => import("@/views/rai_manage/reportManage/components/addHaveReport.vue"),
        name: "editHaveReport",
        hidden: true,
        meta: {
          pathFrom: "internalTesting",
          pathName: "产品内测",
          keepAlive: false,
          title: "编辑报告",
        },
      },
      {
        path: "yanXuanSpecial",
        component: () => import("@/views/rai_manage/reportManage/yanXuanSpecial.vue"),
        name: "yanXuanSpecial",
        hidden: false,
        meta: {
          keepAlive: false,
          title: "研选专栏",
        },
      },
    ],
  },

  /* 查研观向管理 */
  {
    path: "/",
    component: Home,
    name: "CYGXGL",
    hidden: false,
    mate: {
      title: "查研观向管理",
    },
    // icon_path: require("@/assets/img/home/rai_admin.png"),
    children: [
      {
        path: "Raimap",
        component: () => import("@/views/rai_manage/cygxManage/industryMap.vue"),
        name: "Raimap",
        hidden: false,
        mate: {
          title: "行业图谱",
          keepAlive: false,
        },
      },
      {
        path: "RaiAdvice",
        component: () => import("@/views/rai_manage/cygxManage/adviceList.vue"),
        name: "RaiAdvice",
        hidden: false,
        mate: {
          title: "优化建议",
          keepAlive: false,
        },
      },
      {
        path: "searchManage",
        component: () => import("@/views/rai_manage/cygxManage/searchManage.vue"),
        name: "searchManage",
        hidden: false,
        mate: {
          title: "搜索词管理",
          keepAlive: false,
        },
      },
      {
        path: "applyList",
        component: () => import("@/views/rai_manage/cygxManage/applyUserList.vue"),
        name: "applyList",
        hidden: false,
        mate: {
          title: "权益申请记录",
          keepAlive: false,
        },
      },
      {
        path: "RaiInterview",
        component: () => import("@/views/rai_manage/cygxManage/interviewList.vue"),
        name: "RaiInterview",
        hidden: false,
        mate: {
          title: "访谈申请",
          keepAlive: false,
        },
      },
      {
        path: "bannerManage",
        component: () => import("@/views/rai_manage/cygxManage/bannerManage.vue"),
        name: "bannerManage",
        hidden: false,
        mate: {
          title: "banner管理",
          keepAlive: false,
        },
      },
      {
        path: "lableManage",
        component: () => import("@/views/rai_manage/cygxManage/lableManage.vue"),
        name: "lableManage",
        hidden: false,
        mate: {
          title: "标签管理",
          keepAlive: false,
        },
      },
    ],
  },

  /* 弘则活动管理 */
  {
    path: "/",
    component: Home,
    name: "HZHDGL",
    hidden: false,
    // icon_path: require("@/assets/img/home/rai_activity.png"),
    children: [
      {
        path: "activityManage",
        component: () => import("@/views/rai_manage/activityManage/activityManage.vue"),
        name: "activityManage",
        hidden: false,
        meta: {
          keepAlive: false,
          title: "活动管理",
        },
      },
      {
        path: "addActivity",
        component: () => import("@/views/rai_manage/activityManage/components/addActivity.vue"),
        name: "addActivity",
        hidden: true,
        meta: {
          pathFrom: "activityManage",
          pathName: "活动管理",
          keepAlive: false,
          title: "添加活动",
        },
      },
      {
        path: "editActivity",
        component: () => import("@/views/rai_manage/activityManage/components/addActivity.vue"),
        name: "editActivity",
        hidden: true,
        meta: {
          pathFrom: "activityManage",
          pathName: "活动管理",
          keepAlive: false,
          title: "编辑活动",
        },
      },
      {
        path: "applyManage",
        component: () => import("@/views/rai_manage/activityManage/applyManage.vue"),
        name: "applyManage",
        hidden: false,
        meta: {
          title: "报名管理",
        },
      },
      {
        path: "meetingManagement",
        component: () => import("@/views/rai_manage/activityManage/meetingManagement.vue"),
        name: "meetingManagement",
        hidden: false,
        meta: {
          title: "到会管理",
        },
      },
      {
        path: "practicalMeeting",
        component: () => import("@/views/rai_manage/activityManage/practicalMeeting.vue"),
        name: "practicalMeeting",
        hidden: false,
        meta: {
          title: "线下到会管理",
        },
      },
      {
        path: "appointment",
        component: () => import("@/views/rai_manage/activityManage/components/appointment.vue"),
        name: "appointment",
        hidden: true,
        meta: {
          pathFrom: "practicalMeeting",
          pathName: "到会管理",
          keepAlive: false,
          title: "爽约记录",
        },
      },
      {
        path: "onLineManage",
        component: () => import("@/views/rai_manage/activityManage/onLineManage.vue"),
        name: "onLineManage",
        hidden: false,
        meta: {
          title: "线上到会管理",
        },
      },
      {
        path: "onLineAppointment",
        component: () => import("@/views/rai_manage/activityManage/components/appointment.vue"),
        name: "onLineAppointment",
        hidden: true,
        meta: {
          pathFrom: "onLineManage",
          pathName: "线上到会管理",
          keepAlive: false,
          title: "爽约记录",
        },
      },
      {
        path: "attendMeeting",
        component: () => import("@/views/rai_manage/activityManage/components/attendMeeting.vue"),
        name: "attendMeeting",
        hidden: true,
        meta: {
          pathFrom: "onLineManage",
          pathName: "到会管理",
          keepAlive: false,
          title: "到会详情",
        },
      },
      {
        path: "specialResearch",
        component: () => import("@/views/rai_manage/activityManage/specialResearch.vue"),
        name: "specialResearch",
        hidden: false,
        meta: {
          title: "专项调研",
        },
      },
      {
        path: "addResearch",
        component: () => import("@/views/rai_manage/activityManage/specialResearch/addResearch.vue"),
        name: "addResearch",
        hidden: false,
        meta: {
          pathFrom: "specialResearch",
          pathName: "专项调研",
          keepAlive: false,
          title: "添加活动",
        },
      },
      {
        path: "editResearch",
        component: () => import("@/views/rai_manage/activityManage/specialResearch/addResearch.vue"),
        name: "editResearch",
        hidden: false,
        meta: {
          pathFrom: "specialResearch",
          pathName: "专项调研",
          keepAlive: false,
          title: "编辑活动",
        },
      },
      {
        path: "determineTravel",
        component: () => import("@/views/rai_manage/activityManage/specialResearch/determineTravel.vue"),
        name: "determineTravel",
        hidden: false,
        meta: {
          pathFrom: "specialResearch",
          pathName: "专项调研",
          keepAlive: false,
          title: "确定行程",
        },
      },
      {
        path: "interestAllPreview",
        component: () => import("@/views/rai_manage/activityManage/specialResearch/interestAllPreview.vue"),
        name: "interestAllPreview",
        hidden: false,
        meta: {
          pathFrom: "specialResearch",
          pathName: "专项调研",
          keepAlive: false,
          title: "客户兴趣总览",
        },
      },
      {
        path: "roadShow",
        component: () => import("@/views/rai_manage/activityManage/roadShowList.vue"),
        name: "roadShow",
        hidden: false,
        meta: {
          title: "微路演管理",
        },
      },
      {
        path: "themeSurveyPage",
        component: () => import("@/views/rai_manage/activityManage/themeSurveyPage.vue"),
        name: "themeSurveyPage",
        hidden: false,
        meta: {
          title: "主题调研问卷",
        },
      },
    ],
  },
  /* 研选活动管理 */
  {
    path: "/",
    component: Home,
    name: "YXHDGL",
    hidden: false,
    // icon_path: require("@/assets/img/home/rai_activity.png"),
    children: [
      {
        path: "purchaserActivityManage",
        component: () => import("@/views/rai_manage/activityManage/activityManage.vue"),
        name: "purchaserActivityManage",
        hidden: false,
        meta: {
          title: "活动管理",
        },
      },
      {
        path: "addPurchaserActivity",
        component: () => import("@/views/rai_manage/activityManage/components/addActivity.vue"),
        name: "addPurchaserActivity",
        hidden: true,
        meta: {
          pathFrom: "purchaserActivityManage",
          pathName: "活动管理",
          keepAlive: false,
          title: "添加活动",
        },
      },
      {
        path: "editPurchaserActivity",
        component: () => import("@/views/rai_manage/activityManage/components/addActivity.vue"),
        name: "editPurchaserActivity",
        hidden: true,
        meta: {
          pathFrom: "purchaserActivityManage",
          pathName: "活动管理",
          keepAlive: false,
          title: "编辑活动",
        },
      },
      {
        path: "purchaserApplyManage",
        component: () => import("@/views/rai_manage/activityManage/applyManage.vue"),
        name: "purchaserApplyManage",
        hidden: false,
        meta: {
          title: "报名管理",
        },
      },
      {
        path: "purchaserMeetingManagement",
        component: () => import("@/views/rai_manage/activityManage/meetingManagement.vue"),
        name: "purchaserMeetingManagement",
        hidden: false,
        meta: {
          title: "到会管理",
        },
      },
      {
        path: "purchaserAppointment",
        component: () => import("@/views/rai_manage/activityManage/components/appointment.vue"),
        name: "purchaserAppointment",
        hidden: true,
        meta: {
          pathFrom: "practicalMeeting",
          pathName: "到会管理",
          keepAlive: false,
          title: "爽约记录",
        },
      },
      {
        path: "attendMeeting",
        component: () => import("@/views/rai_manage/activityManage/components/attendMeeting.vue"),
        name: "attendMeeting",
        hidden: true,
        meta: {
          pathFrom: "onLineManage",
          pathName: "到会管理",
          keepAlive: false,
          title: "到会详情",
        },
      },
    ],
  },
];
