//运营管理路由模块
import Home from '@/layouts/index.vue'
export default [{
    path: "/",
    component: Home,
    name: "operateManage",
    hidden: false,
    meta: {
        title: "运营管理",
    },
    children: [{
        path: "pdfList",
        component: () => import("@/views/operation_manage/pdfList.vue"),
        name: "pdfList",
        hidden: false,
        meta: {
            title: "PDF报告",
        },
    },{
        path: "updateLogManage",
        component: () => import("@/views/operation_manage/updatelog_manage/updateLogManage.vue"),
        name: "updateLogManage",
        hidden: false,
        meta: {
            title: "更新日志配置",
        },
    },{
        path: "Sysoperations",
        component: () => import("@/views/operation_manage/operationsManage.vue"),
        name: "Sysoperations",
        hidden: false,
        meta: {
            title: "运营管理员",
        },
    },{
        path: "messageSetting",
        component: () => import("@/views/operation_manage/messageManage.vue"),
        name: "messageSetting",
        hidden: false,
        meta: {
            title: "留言管理员",
        },
    },{
        path: "etaMenuConfig",
        component: () => import("@/views/operation_manage//etaMenu_manage/etaMenuConfig.vue"),
        name: "etaMenuConfig",
        hidden: false,
        meta: {
            title: "ETA菜单配置",
        },
    }]
}];