//报表统计管理路由模块
import Home from '@/layouts/index.vue'

export default [
    {
		path: '/',
		component: Home,
		name: 'statisticReport',
		hidden: false,
		icon_path: require('@/assets/img/home/datareport_ico.png'),
        meta:{
            title:'报表统计'
        },
		children: [
            {
				path: 'expiringlist',
				component: () => import('@/views/dataReport_manage/expiringList.vue'),
				name: 'expiringlist',
				hidden: false,
                meta:{
                    title:'即将到期客户'
                }
			},
			{
				path: 'incrementalist',
				component: () => import('@/views/dataReport_manage/incrementalList.vue'),
				name: 'incrementalist',
				hidden: false,
				meta:{
					title:'增量客户数据'
				}
			},
			{
				path: 'stocklist',
				component: () => import('@/views/dataReport_manage/stockCutomList.vue'),
				name: 'stocklist',
				hidden: false,
				meta:{
					title:"存量客户数据"
				}
			},
			{
				path: 'contractlist',
				component: () => import('@/views/dataReport_manage/contractList.vue'),
				name: 'contractlist',
				hidden: false,
				meta:{
					title:"合同数据报表"
				}
			},
			{
				path: 'incomelist',
				component: () => import('@/views/dataReport_manage/incomeList.vue'),
				name: 'incomelist',
				hidden: false,
				meta:{
					title:"收入统计报表"
				}
			},
			// {
			// 	path: 'readStatistics',
			// 	component: () => import('@/views/dataReport_manage/readStatistics.vue'),
			// 	name: '图库阅读统计',
			// 	hidden: false
			// },
			// {
			// 	path: 'equityCustomStatistics',
			// 	component: () => import('@/views/dataReport_manage/equityCustomStatistics.vue'),
			// 	name: '权益客户统计',
			// 	hidden: false
			// },
			// {
			// 	path: 'equityPackageStatistics',
			// 	component: () => import('@/views/dataReport_manage/equityPackageStatistics.vue'),
			// 	name: '权益套餐统计',
			// 	hidden: false
			// },
			// {
			// 	path: 'readClassify',
			// 	component: () => import('@/views/dataReport_manage/readClassify.vue'),
			// 	name: '',
			// 	hidden: false,
			// 	meta: {
			// 		pathName: '图库阅读统计',
			// 		pathFrom: 'readStatistics',
			// 	}
			// },
			// {
			// 	path: 'readChart',
			// 	name: '我的图库',
			// 	component: () => import('@/views/mychart_manage/index.vue'),
			// 	hidden: false,
			// 	meta: {
			// 		pathName: '图库阅读统计',
			// 		pathFrom: 'readStatistics',
			// 	}
			// },
			// {
			// 	path: 'chartJurisdiction',
			// 	component: () => import('@/views/dataReport_manage/jurisdiction.vue'),
			// 	name: '图库权限开通统计',
			// 	hidden: false
			// },
			// {
			// 	path: 'statisticNewcustom',
			// 	component: () => import('@/views/dataReport_manage/statistic/newCustom.vue'),
			// 	name: '新增客户统计',
			// 	hidden: false
			// },
			// {
			// 	path: 'statisticStockcustom',
			// 	component: () => import('@/views/dataReport_manage/statistic/stockCustom.vue'),
			// 	name: '存量客户统计',
			// 	hidden: false
			// },
			// /* {
			// 	path: 'newCustomlist',
			// 	component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
			// 	name: '新增客户列表',
			// 	meta: {
			// 		pathFrom: 'statisticNewcustom',
			// 		pathName: '新增客户统计'
			// 	},
			// 	hidden: true
			// }, */
			// {
			// 	path: 'todoTask',
			// 	component: () => import('@/views/dataReport_manage/statistic/todoTask.vue'),
			// 	name: '销售To do任务统计',
			// 	hidden: false
			// },
			// /* {
			// 	path: 'todoTaskList',
			// 	component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
			// 	name: '客户任务列表',
			// 	meta: {
			// 		pathFrom: 'todoTask',
			// 		pathName: '销售To do任务统计'
			// 	},
			// 	hidden: true
			// }, */

		]
	},
]