//路演管理路由模块
import Home from '@/layouts/index.vue'

export default [
    {
		path: '/',
		component: Home,
		name: 'roadshowManage',
		meta:{
			title:'路演管理'
		},
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [
			{
				path: "researcherCalendar",
				name: "researcherCalendar",
				component: () => import('@/views/roadshow_manage/researcherCalendar.vue'),
				meta:{
					title:'研究员日历'
				}
			},
			{
				path: "myCalendar",
				name: "myCalendar",
				component: () => import('@/views/roadshow_manage/myCalendar.vue'),
				meta:{
					title:'我的日历'
				}
			},
			{
				path: "meetingCalendar",
				name: "meetingCalendar",
				component: () => import('@/views/roadshow_manage/meetingCalendar.vue'),
				meta:{
					title:'公开会议总览'
				}
			},
			{
				path: "statisticResearcher",
				name: "statisticResearcher",
				component: () => import('@/views/roadshow_manage/statistics/researcher.vue'),
				meta:{
					title:'研究员路演统计'
				}
			},
			// {
			// 	path: "roadshowFeedback",
			// 	name: "路演反馈",
			// 	component: () => import('@/views/roadshow_manage/feedbackList.vue')
			// },
			{
				path: "researcherBusinessTrip",
				name: "researcherBusinessTrip",
				component: () => import('@/views/roadshow_manage/researcherBusinessTrip.vue'),
				meta:{
					title:'研究员出差表'
				}
			},
			{
				path: "sellerCalendar",
				name: "sellerCalendar",
				component: () => import('@/views/roadshow_manage/sellerCalendar.vue'),
				meta:{
					title:'销售员日历'
				}
			},
		]
	},
]