// import bus from '@/api/bus';
import {router} from '@/router/index'
import { ElMessageBox } from 'element-plus';

// 按钮添加活动弹窗权限
import activityBtnDiaConfig from "./activityBtnDiaConfig"
// 单元格添加活动弹窗权限
import activityCellDiaConfig from "./activityCellDiaConfig"
// 我的日历页面权限
import * as myCalendarConfig from "./myCalendarConfig"
// 研究员日历页面权限
import researcherCalendarConfig from "./researcherCalendarConfig"

export {activityBtnDiaConfig,activityCellDiaConfig,myCalendarConfig,researcherCalendarConfig}


/* 点击完确认跳转弹窗 */
export const confirmDiaLink = (sub_msg,message,query) => {
	ElMessageBox.confirm(
		`<span>${sub_msg}</span><p>${message}</p>`,
		'添加活动成功',
		{
		dangerouslyUseHTMLString:true,
		showCancelButton: true,
		confirmButtonText: '前去查看',
		cancelButtonText: '关闭',
	}).then(action => {
		router.push({path:'/myCalendar',query})
	}).catch(()=>{})
}